Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-04-2016 12:32:00

Tyrpio
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 04-05-2015

VirtualBox - Erreur

Salut,

J'ai un problème avec Virtualbox sur Kali Linux qui est basé sur Debian. J'ai installé Virtualbox depuis Synaptic (j'ai la version 5.0.16_Debian r105871) et une fois ma VM Windows 7 créé, je la démarre et j'ai ces deux messages d'erreur  qui s'affichent :

Échec de l'ouverture de session pour la machine virtuelle Windows 7.

The virtual machine 'Windows 7' has terminated unexpectedly during startup with exit code 1 (0x1).

Code d'erreur :
NS_ERROR_FAILURE (0x80004005)
Composant :
MachineWrap
Interface :
IMachine {f30138d4-e5ea-4b3a-8858-a059de4c93fd}



Kernel driver not installed (rc=-1908)


The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please install virtualbox-dkms package and load the kernel module by executing

'modprobe vboxdrv'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.


Je ne peux donc pas démarrer ma VM.

Comment résoudre ce problème ? smile


Quand vous ne voyez pas le service, c’est que vous êtes le produit !

Hors ligne

#2 09-04-2016 19:40:43

Vernom
Membre
Distrib. : Sid
Noyau : 4.4.0-1-amd64
(G)UI : Openbox
Inscription : 10-11-2015

Re : VirtualBox - Erreur

Please install virtualbox-dkms package and load the kernel module by executing 'modprobe vboxdrv'



?

Hors ligne

#3 09-04-2016 19:57:44

Mercredi
Membre
Distrib. : Testing
Noyau : 4.8
(G)UI : Gnome
Inscription : 25-09-2015

Re : VirtualBox - Erreur

Please install virtualbox-dkms package


apt install virtualbox-dkms



Si le paquet virtualbox-dkms est déjà installé ça te le diras, sinon ça te l'installera.


De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#4 09-04-2016 20:13:43

Tyrpio
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 04-05-2015

Re : VirtualBox - Erreur

Merci mais virtualbox-dkms est déjà installé.

Quand vous ne voyez pas le service, c’est que vous êtes le produit !

Hors ligne

#5 09-04-2016 20:23:33

Mercredi
Membre
Distrib. : Testing
Noyau : 4.8
(G)UI : Gnome
Inscription : 25-09-2015

Re : VirtualBox - Erreur

As tu essayé d'exécuter la commande :

modprobe vboxdrv


pour démarrer le module ?


De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#6 09-04-2016 20:47:29

Tyrpio
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 04-05-2015

Re : VirtualBox - Erreur

Oui.

modprobe vboxdrv
modprobe: FATAL: Module vboxdrv not found.


Quand vous ne voyez pas le service, c’est que vous êtes le produit !

Hors ligne

#7 09-04-2016 22:39:01

Mercredi
Membre
Distrib. : Testing
Noyau : 4.8
(G)UI : Gnome
Inscription : 25-09-2015

Re : VirtualBox - Erreur

Je ne suis pas assez calée pour t'aider plus mais apparemment le problème est connu, on trouve pas mal de résultats en faisant une recherche de

modprobe: FATAL: Module vboxdrv not found.

sur le oueb.
Sinon attendre qu'un gentil barbu passe par là smile


De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#8 10-04-2016 00:19:58

Vernom
Membre
Distrib. : Sid
Noyau : 4.4.0-1-amd64
(G)UI : Openbox
Inscription : 10-11-2015

Re : VirtualBox - Erreur

Tu tournes sous quel noyau ?
Beaucoup ont réglé le même soucis avec une simple mise à jour du linux-headers.

Hors ligne

#9 10-04-2016 00:30:45

avram
Membre
Distrib. : dual boot jessie/testing en 64 bits+xp virtualbox
Noyau : 3.16 et 4.3
(G)UI : xfce
Inscription : 28-01-2016

Re : VirtualBox - Erreur

donc le module vboxdrv n'existe pas, il n'a peut être pas été compilé.Les headers sont ils installés? vérifiez avec la commande:

   

apt-get install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,')




 

apt-get install build-essential



et relancer l'installation de virtualbox:

 

apt-get install virtualbox virtualbox-dkms virtualbox-guest-additions-iso  virtualbox-qt

Hors ligne

#10 10-04-2016 11:00:46

Tyrpio
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 04-05-2015

Re : VirtualBox - Erreur

Alors j'ai toujours le même message d'erreur après chacune de tes commandes avram.

apt-get install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,')
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
linux-headers-amd64 is already the newest version (4.4+71+kali1).
linux-headers-amd64 passé en « installé manuellement ».
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libc-bin : Dépend: libc6 (< 2.22) mais 2.22-5 devra être installé
 locales : Dépend: libc-bin (> 2.22) mais 2.21-6 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).



apt-get install build-essential
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
build-essential is already the newest version (11.7).
build-essential passé en « installé manuellement ».
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libc-bin : Dépend: libc6 (< 2.22) mais 2.22-5 devra être installé
 locales : Dépend: libc-bin (> 2.22) mais 2.21-6 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).



apt-get install virtualbox virtualbox-dkms virtualbox-guest-additions-iso  virtualbox-qt
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
virtualbox is already the newest version (5.0.16-dfsg-2).
virtualbox-dkms is already the newest version (5.0.16-dfsg-2).
virtualbox-qt is already the newest version (5.0.16-dfsg-2).
virtualbox-qt passé en « installé manuellement ».
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libc-bin : Dépend: libc6 (< 2.22) mais 2.22-5 devra être installé
 locales : Dépend: libc-bin (> 2.22) mais 2.21-6 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Dernière modification par Tyrpio (10-04-2016 11:01:44)


Quand vous ne voyez pas le service, c’est que vous êtes le produit !

Hors ligne

#11 10-04-2016 11:50:04

avram
Membre
Distrib. : dual boot jessie/testing en 64 bits+xp virtualbox
Noyau : 3.16 et 4.3
(G)UI : xfce
Inscription : 28-01-2016

Re : VirtualBox - Erreur

vous avez essayé de faire   apt-get -f install  ?

et donnez la sortie de

 

uname -a

Dernière modification par avram (10-04-2016 11:50:58)

Hors ligne

#12 10-04-2016 14:46:54

Tyrpio
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE
Inscription : 04-05-2015

Re : VirtualBox - Erreur

Euh.. mon système ne veut plus démarrer hmm

Je vais installer Debian.

Quand vous ne voyez pas le service, c’est que vous êtes le produit !

Hors ligne

Pied de page des forums